InitSensorDisplay:
  x=400  \ y = 300 // position of display
  r=50             // radius of displayed robot
  SetColor Blue \ LineWidth 4
  Circle x-r,y-r,x+r,y+r
  Line x,y,x,y-r  
  // Setup Bumper positions
  Data BumpX; x,x+r+5,x,x-r-5
  Data BumpY; y+r+5,y,y-r-5,y
  Data Mask; 1,2,4,8,16
  LineWidth 1
  for i=0 to 3
    if not(i#2)
      rectangle BumpX[i]-15,BumpY[i]-3,\
              BumpX[i]+15,BumpY[i]+3,black
    else
      rectangle BumpX[i]-3,BumpY[i]-15,BumpX[i]+\
             3,BumpY[i]+15,black
    endif
  next
  // Setup IR positions
  Dim IRX[5],IRY[5]
  for i=0 to 4
    IRX[i]=x+(r+25)*Cos(dtor(45*i))
    IRY[i]=y-(r+25)*Sin(dtor(45*i))
    Circle IRX[i]-5,IRY[i]-5,IRX[i]+5,IRY[i]+5,black
  next
return
//----------------------------------------
Sub ShowSensors(IR,Bump)
  LineWidth 1
  for i=0 to 3
    if Bump&Mask[i]
      Scolor=Red
    else
      Scolor=White
    endif
    if not(i#2)
      rectangle BumpX[i]-15,BumpY[i]-3,BumpX[i]+\
              15,BumpY[i]+3,black,Scolor
    else
      rectangle BumpX[i]-3,BumpY[i]-15,BumpX[i]+3,\
             BumpY[i]+15,black,Scolor
    endif
  next
  for i=0 to 4
    if IR&Mask[i]
      Scolor=Red
    else
      Scolor=White
    endif
    Circle IRX[i]-5,IRY[i]-5,IRX[i]+5,\
              IRY[i]+5,black,Scolor
  next
return  
